Pular para o conteúdo principal
GET
/
v1
/
dict
/
entries
/
{entry_id}
Recuperar uma Entry
curl --request GET \
  --url https://plugin-pix-indirect.api.lerian.net/v1/dict/entries/{entry_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-Id: <x-account-id>'
{
  "id": "550e8400-e29b-41d4-a716-446655440010",
  "key": "john.doe@example.com",
  "keyType": "EMAIL",
  "status": "ACTIVE",
  "account": {
    "branch": "0001",
    "number": "123456789",
    "participant": "12345678",
    "type": "TRAN"
  },
  "owner": {
    "name": "John Doe",
    "taxIdNumber": "12345678901",
    "type": "NATURAL_PERSON"
  },
  "createdAt": "2024-01-15T10:30:00Z",
  "updatedAt": "2024-01-15T10:30:00Z"
}

Autorizações

Authorization
string
header
obrigatório

Header de autenticação Bearer no formato Bearer <token>, onde <token> é o seu token de acesso JWT.

Cabeçalhos

X-Account-Id
string
obrigatório

Identificador único da Conta do Ledger Midaz (formato UUID).

Parâmetros de caminho

entry_id
string
obrigatório

Identificador único da entrada PIX (formato UUID).

Resposta

Entry PIX recuperada com sucesso.

id
string

Identificador único da entrada (formato UUID).

Exemplo:

"550e8400-e29b-41d4-a716-446655440010"

key
string

Valor da chave PIX.

Exemplo:

"john.doe@example.com"

keyType
string

Tipo de chave PIX.

Exemplo:

"EMAIL"

status
string

Status da entrada (ACTIVE, INACTIVE).

Exemplo:

"ACTIVE"

account
object
owner
object
createdAt
string<date-time>

Timestamp de criação.

Exemplo:

"2024-01-15T10:30:00Z"

updatedAt
string<date-time>

Timestamp da última atualização.

Exemplo:

"2024-01-15T10:30:00Z"